Loading...
Searching...
No Matches
iterative.cpp File Reference

Iterative methods, implementation. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

Vector | gtsam::steepestDescent (const System &Ab, const Vector &x, const ConjugateGradientParameters &parameters)
Vector | gtsam::conjugateGradientDescent (const System &Ab, const Vector &x, const ConjugateGradientParameters &parameters)
| Method of conjugate gradients (CG), System version.
Vector | gtsam::steepestDescent (const Matrix &A, const Vector &b, const Vector &x, const ConjugateGradientParameters &parameters)
| convenience calls using matrices, will create System class internally:
Vector | gtsam::conjugateGradientDescent (const Matrix &A, const Vector &b, const Vector &x, const ConjugateGradientParameters &parameters)
| Method of conjugate gradients (CG), Matrix version.
VectorValues | gtsam::steepestDescent (const GaussianFactorGraph &fg, const VectorValues &x, const ConjugateGradientParameters &parameters)
| Method of steepest gradients, Gaussian Factor Graph version.
VectorValues | gtsam::conjugateGradientDescent (const GaussianFactorGraph &fg, const VectorValues &x, const ConjugateGradientParameters &parameters)
| Method of conjugate gradients (CG), Gaussian Factor Graph version.

## Detailed Description

Iterative methods, implementation.

Author
  Frank Dellaert

Date
  Dec 28, 2009